
<main class="container">
  <section class="left-navbar">
    <span class="material-icons admin-logo"> person </span>
    <span class="btn">Doctors</span>
    <span class="btn">Nurse</span>
    <span class="btn">Requests</span>
    <span class="btn">Notifications</span>
  </section>
  <section class="table-content">
    <mat-icon class="add-icon">person_add</mat-icon>
    <div class="doctor-table mat-elevation-z8">
      <mat-table #table [dataSource]="dataSource" class="table">
        <ng-container matColumnDef="name">
          <mat-header-cell *matHeaderCellDef> Name </mat-header-cell>
          <mat-cell *matCellDef="let element"> {{ element.name }} </mat-cell>
        </ng-container>
        <ng-container matColumnDef="doctor">
          <mat-header-cell *matHeaderCellDef> Doctor </mat-header-cell>
          <mat-cell *matCellDef="let element">
            {{ element.doctor }}
          </mat-cell>
        </ng-container>
        
        <ng-container matColumnDef="edit">
          <mat-header-cell *matHeaderCellDef>edit</mat-header-cell>
          <mat-cell *matCellDef="let element">
            <button mat-icon-button class="iconbutton" >
              <mat-icon class="edit-icon">edit</mat-icon>
            </button>
          </mat-cell>
        </ng-container>
        <ng-container matColumnDef="delete">
          <mat-header-cell *matHeaderCellDef>delete</mat-header-cell>
          <mat-cell *matCellDef="let element">
            <button
              mat-icon-button
              class="iconbutton"
              
            >
              <mat-icon class="delete-icon">delete</mat-icon>
            </button></mat-cell
          >
        </ng-container>
        <mat-header-row
          *matHeaderRowDef="columnsToBeDisplayed"
        ></mat-header-row>
        <mat-row *matRowDef="let row; columns: columnsToBeDisplayed"></mat-row>
      </mat-table>
      <mat-paginator #paginator [pageSize]="5" [pageSizeOptions]="[5, 10, 20]">
      </mat-paginator>
    </div>
  </section>
</main>
